SIGPENDING(2)

NAME
sigpending - report pending signals

SYNOPSIS
#include <signal.h> int sigpending(sigset_t *set)

DESCRIPTION
Sigpending() returns the set of signals that are waiting to be delivered. They are currently blocked by the signal mask.

SEE ALSO
sigaction(2), sigprocmask(2), sigsuspend(2), sigset(3).

DIAGNOSTICS
Returns 0 on success and -1 on error. The only possible error code is EFAULT for a bad set address.

AUTHOR
Kees J. Bot (kjb@cs.vu.nl)